/*
 * File : phActive.h
 *
 * Description : This file contains the class declaration for
 *	the phActive class.
 */

#ifndef _phActive_h_
#define _phActive_h_

#include "phStateMachine.h"

/*
 * Class : phActive
 *
 * Description : This class is a subclass of the phStateMachine
 *	class, and provides functionality to handle events when
 *	the phlayer is in the ACTIVE state.
 */

class phActive : public phStateMachine {
 public:
	phActive(phlayer *ph) : phStateMachine(ph) {};
	virtual ~phActive() {};

	virtual phStateMachine *PhDataReq(int &errorCode);
	virtual phStateMachine *PhDeactivateReq(int &errorCode);

	virtual phStateMachine *PhData(int &errorCode);
	virtual phStateMachine *PhDeactivate(int &errorCode);
	virtual void PrintState();
};

#endif
